<?php
if (!function_exists('lcwords'))
	{
	function lcwords($string)
		{
		$temp_array = array();
		$word_array = explode(' ', $string);
		foreach ($word_array as $word)
			{
			$temp_array[] = lcfirst($word);
			}
		return implode(' ', $temp_array);
		}
	}

if (!function_exists('mb_lcfirst'))
	{
	function mb_lcfirst($string, $encoding)
		{
		$strlen = mb_strlen($string, $encoding);
		$first_char = mb_substr($string, 0, 1, $encoding);
		$then = mb_substr($string, 1, $strlen - 1, $encoding);
		return mb_strtolower($first_char, $encoding).$then;
		}
	}

if (!function_exists('mb_ucfirst'))
	{
	function mb_ucfirst($string, $encoding)
		{
		$strlen = mb_strlen($string, $encoding);
		$first_char = mb_substr($string, 0, 1, $encoding);
		$then = mb_substr($string, 1, $strlen - 1, $encoding);
		return mb_strtoupper($first_char, $encoding).$then;
		}
	}

if (!function_exists('mb_ucwords'))
	{
	function mb_ucwords($string, $encoding)
		{
		return mb_convert_case($string, MB_CASE_TITLE, $encoding);
		}
	}

if (!function_exists('mb_lcwords'))
	{
	function mb_lcwords($string, $encoding)
		{
		$temp_array = array();
		$word_array = explode(' ', $string);
		foreach ($word_array as $word)
			{
			$temp_array[] = mb_lcfirst($word, 'UTF-8');
			}
		return implode(' ', $temp_array);
		}
	}
?>
<!DOCTYPE html>
<html lang="hu-HU">
<head>
	<meta charset="utf-8">

	<title>PHP: Kicsiből nagy, nagyból pedig kicsi | Webmestertanfolyam.hu</title>

	<meta name="viewport" content="width=device-width, initial-scale=1, maximum-scale=1" />
	<link type="text/css" rel="stylesheet" href="css/bootstrap.min.css" rel="stylesheet" />
	<!--[if lt IE 9]>
		<script type="text/javascript" src="//html5shim.googlecode.com/svn/trunk/html5.js"></script>
	<![endif]-->
	<link type="text/css" rel="stylesheet" href="css/styles.css" rel="stylesheet" />
</head>
<body>
	<div class="navbar navbar-default">
		<div class="container">
			<a class="navbar-brand" href="http://webmestertanfolyam.hu" title="Webmestertanfolyam.hu"><img src="http://webmestertanfolyam.hu/img/logo-demo.png" alt="Webmestertanfolyam.hu" /></a>
			<ul class="nav navbar-nav">
				<li><a href="http://webmestertanfolyam.hu/#tanfolyamaink" title="Tanfolyamaink">Tanfolyamaink</a></li>
				<li><a href="http://webmestertanfolyam.hu/webmester-blog" title="További segédletek">További segédletek</a></li>
			</ul>
		</div>
	</div>

	<div class="container">
		<div class="row">
			<div class="col-lg-12 col-md-12 col-sm-12 col-xs-12">
				<h4>Műveletek eredményei</h4>

				<?php
				$text = "Szöveg";
				echo 'strtolower(\''.$text.'\') = '.strtolower($text).'<br/>'; // szöveg
				echo 'strtoupper(\''.$text.'\') = '.strtoupper($text).'<br/><br/>'; // SZöVEG


				$text = "Szöveg";
				echo 'mb_strtolower(\''.$text.'\', \'UTF-8\') = '.mb_strtolower($text, 'UTF-8').'<br/>'; // szöveg
				echo 'mb_strtoupper(\''.$text.'\', \'UTF-8\') = '.mb_strtoupper($text, 'UTF-8').'<br/><br/>'; // SZÖVEG


				$text = "SZÖVEG";
				echo 'lcfirst(\''.$text.'\') = '.lcfirst($text).'<br/>'; // sZÖVEG;

				$text = "szöveg";
				echo 'ucfirst(\''.$text.'\') = '.ucfirst($text).'<br/>'; // Szöveg

				$text = "ékezettel kezdődik";
				echo 'ucfirst(\''.$text.'\') = '.ucfirst($text).'<br/><br/>'; // ékezettel kezdődik


				$text = "Ékezettel kezdődik";
				echo 'mb_lcfirst(\''.$text.'\', \'UTF-8\') = '.mb_lcfirst($text, 'UTF-8').'<br/>'; // ékezettel kezdődik

				$text = "ékezettel kezdődik";
				echo 'mb_ucfirst(\''.$text.'\', \'UTF-8\') = '.mb_ucfirst($text, 'UTF-8').'<br/><br/>'; // Ékezettel kezdődik


				$text = "EGY TETSZŐLEGES MONDAT, AMIBEN VAN MÉG EGY kISBETŰS SZÓ IS.";
				echo 'lcwords(\''.$text.'\') = '.lcwords($text).'<br/>'; // eGY tETSZŐLEGES mONDAT, aMIBEN vAN mÉG eGY kISBETŰS sZÓ iS.

				$text = "Egy tetszőleges mondat, amiben van még egy Nagybetűs szó is.";
				echo 'ucwords(\''.$text.'\') = '.ucwords($text).'<br/>'; // Egy Tetszőleges Mondat, Amiben Van Még Egy Nagybetűs Szó is.

				$text = "ékezettel kezdődik";
				echo 'ucwords(\''.$text.'\') = '.ucwords($text).'<br/><br/>'; // ékezettel Kezdődik


				$text = "EGY TETSZŐLEGES MONDAT, AMIBEN VAN MÉG EGY kISBETŰS ÉKEZETES SZÓ IS.";
				echo 'mb_lcwords(\''.$text.'\', \'UTF-8\') = '.mb_lcwords($text, 'UTF-8').'<br/>'; // eGY tETSZŐLEGES mONDAT, aMIBEN vAN mÉG eGY kISBETŰS éKEZETES sZÓ iS.

				$text = "Egy tetszőleges mondat, amiben van még egy Nagybetűs ékezetes szó is.";
				echo 'mb_ucwords(\''.$text.'\', \'UTF-8\') = '.mb_ucwords($text, 'UTF-8'); // Egy Tetszőleges Mondat, Amiben Van Még Egy Nagybetűs Ékezetes Szó is.
				?>
			</div>
		</div>

		<hr/>

		<div class="jumbotron text-center">
			<h1>PHP: Kicsiből nagy, nagyból pedig kicsi</h1>
			<p class="lead">A demo forrása: <a href="http://webmestertanfolyam.hu" title="webmestertanfolyam.hu">webmestertanfolyam.hu</a></p>
			<p><a class="btn btn-lg btn-success" href="http://webmestertanfolyam.hu/webmester-blog" title="További segédletek" target="_blank">További segédletek</a></p>
		</div>
	</div>

	<script type="text/javascript" src="js/jquery-1.9.1.min.js"></script>
	<script type="text/javascript" src="js/bootstrap.min.js"></script>
</body>
</html>